Wallet
Get wallets
This endpoint allows you to retrieve wallets.
GET
/
wallets
Get wallets
curl --request GET \
--url https://processor-prod.up.railway.app/wallets \
--header 'x-service-key: <api-key>'import requests
url = "https://processor-prod.up.railway.app/wallets"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://processor-prod.up.railway.app/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Wallets fetched successfully",
"data": {
"wallets": [
{
"id": "68bc290df51feea8c53f5275",
"reference": "rmb9y5fxuuc7dbb5nsoj0lezd25uls",
"is_active": true,
"address": {
"evm": "0xf66Dd142c6F15431835f402b0B8a6093C86D7EC2",
"svm": "F5t8SUAPd7Ebjk6WZvGZbfS2z15RJvZ6LgXZhccwQS93"
},
"transfer": false,
"swap": false,
"offramp": true
}
],
"total": 1,
"page": 1,
"limit": 10
}
}Authorizations
Query Parameters
This is the current page being requested relative to size of a page
The wallet ID of the exact wallet you want to fetche details for.
⌘I
Get wallets
